Delete Customer (Anonymize)
curl --request DELETE \
--url https://api.headlesscommerce.io/v1/admin/customers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.headlesscommerce.io/v1/admin/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.headlesscommerce.io/v1/admin/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deleted": true
}Admin - Customers
Delete Customer (Anonymize)
For GDPR and other data deletion requests. Anonymizes customer PII (name, email, phone, address) and sets status to disabled. Existing order data is retained, but personally identifiable information is masked.
DELETE
/
admin
/
customers
/
{id}
Delete Customer (Anonymize)
⌘I